
/*
 *    MCreator note: This file will be REGENERATED on each build.
 */
package net.mcreator.xandersgunmod.init;

import net.neoforged.neoforge.registries.DeferredRegister;
import net.neoforged.neoforge.registries.DeferredHolder;
import net.neoforged.neoforge.event.BuildCreativeModeTabContentsEvent;
import net.neoforged.fml.common.EventBusSubscriber;
import net.neoforged.bus.api.SubscribeEvent;

import net.minecraft.world.item.ItemStack;
import net.minecraft.world.item.CreativeModeTabs;
import net.minecraft.world.item.CreativeModeTab;
import net.minecraft.network.chat.Component;
import net.minecraft.core.registries.Registries;

import net.mcreator.xandersgunmod.XandersGunModMod;

@EventBusSubscriber(bus = EventBusSubscriber.Bus.MOD)
public class XandersGunModModTabs {
	public static final DeferredRegister<CreativeModeTab> REGISTRY = DeferredRegister.create(Registries.CREATIVE_MODE_TAB, XandersGunModMod.MODID);
	public static final DeferredHolder<CreativeModeTab, CreativeModeTab> GUNS = REGISTRY.register("guns",
			() -> CreativeModeTab.builder().title(Component.translatable("item_group.xanders_gun_mod.guns")).icon(() -> new ItemStack(XandersGunModModItems.PISTOL.get())).displayItems((parameters, tabData) -> {
				tabData.accept(XandersGunModModItems.PISTOL.get());
				tabData.accept(XandersGunModModItems.HANDGUN_BULLET.get());
				tabData.accept(XandersGunModModItems.RIFLE.get());
				tabData.accept(XandersGunModModBlocks.WORKBENCH.get().asItem());
				tabData.accept(XandersGunModModItems.BULLETRIFLE.get());
				tabData.accept(XandersGunModModItems.SNIPER.get());
			}).build());

	@SubscribeEvent
	public static void buildTabContentsVanilla(BuildCreativeModeTabContentsEvent tabData) {
		if (tabData.getTabKey() == CreativeModeTabs.FUNCTIONAL_BLOCKS) {
			tabData.accept(XandersGunModModBlocks.WORKBENCH.get().asItem());
		} else if (tabData.getTabKey() == CreativeModeTabs.OP_BLOCKS) {
			if (tabData.hasPermissions()) {
				tabData.accept(XandersGunModModBlocks.GLITCHED.get().asItem());
			}
		}
	}
}
